Create new webhook.

Create a new webhook. This endpoint requires the personio:webhooks:write scope.

Body Params
url
required

The url that should be called once a webhook event is fired. This should be an HTTPS endpoint.

string
required

The description of the webhook configuration.

string
enum
Defaults to DISABLED

The status of the webhook configuration.

Allowed:
string
enum
Defaults to TOKEN

The authentication type used for webhook delivery requests.

  • NONE: No authentication headers will be sent.
  • TOKEN: (default) A static token will be sent in the Authorization header.
  • CUSTOM: Up to 3 custom HTTP headers will be sent as specified in custom_headers.
Allowed:
string

The token used to authenticate the request on the webhook's URL. The callback will include this exact value in the Authorization header for authentication. If a specific format is required (e.g., "Bearer" or "Basic"), please include the desired prefix (such as "Bearer " or "Basic ") at the beginning of the token when configuring it, as no prefix will be added automatically.

custom_headers
object

A map of custom HTTP headers to include in webhook delivery requests. Only allowed if auth_type is CUSTOM.

  • Maximum of 3 headers (map entries).
  • Header names (keys) must not match or start with any of the following (case-insensitive): host, content-length, transfer-encoding, connection, upgrade, te, trailer, expect, content-type
  • Example: { "X-My-Auth": "abc123", "X-Tracking": "track-me" }
enabled_events
array of strings
required

Contains the list of enabled events.

enabled_events*
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json